Skip to navigation

Get a ngc-api-key.

View as Markdown

Returns the details of a ngc-api-key asset, by id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

AssetIdstringRequiredformat: "uuid">=1 character
Unique identifier of the asset.

Query parameters

usageInfobooleanOptional
Whether the query should include asset usage information as part of the response.
statusInfobooleanOptional
Whether the query should include asset status information as part of the response.

Response

Request completed successfully.
metaobject
specobject
usedByobjectOptional
Details about resources that use the asset.
complianceobjectOptional
Compliance of an asset with creation of workloads in a given project.
statusobjectOptional
clusterInfoobjectOptional
Cluster related information of the asset.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error